flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "christofer.dutz@c-ware.de" <christofer.d...@c-ware.de>
Subject AW: how to setup and use maven-flex-plugin
Date Sat, 04 May 2013 11:43:42 GMT
Ok Dan, got some good news for you.

So I had a look at FM and it seems the problem is releated with Mavens inability to override
dependencyManagement import version. So I removed them in flexmojos-parent, flexmojos-maven-plugin
and flexmojos-flex-compiler and did a little tweaking here and there and now I could actually
build your project without the com.adobe.flex:framework:pom:4.6.xxx

The full testsuite also just passed with these changes. Unfortunately I just noticed that
the machine I'm currently working on wasn't quite up-to-date (Didn't have the version changes
from the Release). So I'm currently re-running the testsuite and commit them as soon as that's
done. Guess it will take an hour or so for all tests to pass.

I guess you could start using Flexmojos 6.1.0-SNAPSHOT as soon as they are in. Unfortunately
you need 16 FDKs installed locally to build Flexmojos including the full testsuite. You could
change the flex.version settings in the master pom and build it using your locally deployed
Flex version while skipping the testsuite. 

I hope you understand that I'm not going to release a new Flexmojos version just because of
this little change.

Chris


-----Urspr√ľngliche Nachricht-----
Von: Dan Rollo [mailto:danrollo@gmail.com] 
Gesendet: Samstag, 4. Mai 2013 04:55
An: users@flex.apache.org
Betreff: Re: how to setup and use maven-flex-plugin

Cool. Bug created:
https://flexmojos.atlassian.net/browse/FLEXMOJOS-878

Dan


Mime
View raw message